//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
        TGroupBox *GroupBox1;
        TGroupBox *GroupBox2;
        TLabel *Label1;
        TLabel *Label2;
        TEdit *edtInput;
        TEdit *edtOutput;
        TSpeedButton *btnOpen;
        TSpeedButton *btnSave;
        TRadioButton *radCompress;
        TRadioButton *radDecompress;
        TGroupBox *GroupBox3;
        TTrackBar *TrackBar;
        TLabel *lblBestSize;
        TLabel *lblBestQuality;
        TLabel *lblCompressionQuality;
        TLabel *lblQuality;
        TProgressBar *ProgressBar;
        TButton *btnGo;
        TButton *btnExit;
        TOpenDialog *OpenDialog;
        TSaveDialog *SaveDialog;
        void __fastcall TrackBarChange(TObject *Sender);
        void __fastcall btnExitClick(TObject *Sender);
        void __fastcall radDecompressClick(TObject *Sender);
        void __fastcall radCompressClick(TObject *Sender);
        void __fastcall btnOpenClick(TObject *Sender);
        void __fastcall btnSaveClick(TObject *Sender);
        void __fastcall btnGoClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TfrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
